Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class AccountInterest2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.AccountInterest2

public class AccountInterest2 extends Object

Java class for AccountInterest2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountInterest2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}InterestType1Choice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Rate3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}DateTimePeriodDetails" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DateTimePeriodDetails`
`frToDt`
`protected List<Rate3>`
`rate`
`protected String`
`rsn`
`protected InterestType1Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`AccountInterest2()`

## Method Summary

Modifier and Type
Method
Description
`DateTimePeriodDetails`
`getFrToDt()`
Gets the value of the frToDt property.
`List<Rate3>`
`getRate()`
Gets the value of the rate property.
`String`
`getRsn()`
Gets the value of the rsn property.
`InterestType1Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setFrToDt(DateTimePeriodDetails value)`
Sets the value of the frToDt property.
`void`
`setRsn(String value)`
Sets the value of the rsn property.
`void`
`setTp(InterestType1Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected InterestType1Choice tp

### rate

protected List<Rate3> rate

### frToDt

protected DateTimePeriodDetails frToDt

### rsn

protected String rsn

## Constructor Details

### AccountInterest2

public AccountInterest2()

## Method Details

### getTp

public InterestType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `InterestType1Choice`

### setTp

public void setTp(InterestType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `InterestType1Choice`

### getRate

public List<Rate3> getRate()
Gets the value of the rate property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rate property.

For example, to add a new item, do as follows:

        getRate().add(newItem);

Objects of the following type(s) are allowed in the list `Rate3`

### getFrToDt

public DateTimePeriodDetails getFrToDt()
Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriodDetails`

### setFrToDt

public void setFrToDt(DateTimePeriodDetails value)
Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`

### getRsn

public String getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `String`

### setRsn

public void setRsn(String value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `String`